module model_vars

	integer:: nts,kper,nmax1,nmax2,nmn,nmin
	integer,allocatable:: jsav(:)
	double precision:: dg2rad
	double precision:: eps,pi,beta
	double precision,allocatable:: pt(:),pb(:),pt0(:),pb0(:),pt1(:),pb1(:),pt2(:),pb2(:)
	double precision,allocatable:: fc(:),fw(:)
	double precision,allocatable:: inithzt(:),inithzb(:),thzt(:),thzb(:),kz(:),tcap(:),inidesatt(:),inidesatb(:),desatt(:),desatb(:)
	double precision,allocatable:: uwspt(:),uwspb(:)
	
    ! Auxiliary parameters
	double precision:: t0,dt,ttout,tnow,tminimum,tmaximum,simul
	integer:: ntsdeb,avedt
	integer(8):: maxnts
	
end module model_vars


